VkPhysicalDeviceVulkanMemoryModelFeaturesKHR Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
void * | pNext
VkBool32 | vulkanMemoryModel
VkBool32 | vulkanMemoryModelDeviceScope

## Detailed Description

Definition at line 6132 of file vulkan_core.h.

## Field Documentation

## pNext

void* VkPhysicalDeviceVulkanMemoryModelFeaturesKHR::pNext

Definition at line 6134 of file vulkan_core.h.

## sType

VkStructureType VkPhysicalDeviceVulkanMemoryModelFeaturesKHR::sType

Definition at line 6133 of file vulkan_core.h.

## vulkanMemoryModel

VkBool32 VkPhysicalDeviceVulkanMemoryModelFeaturesKHR::vulkanMemoryModel

Definition at line 6135 of file vulkan_core.h.

## vulkanMemoryModelDeviceScope

VkBool32 VkPhysicalDeviceVulkanMemoryModelFeaturesKHR::vulkanMemoryModelDeviceScope

Definition at line 6136 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h